# GstWebRTCRTPSender

https://www.w3.org/TR/webrtc/#rtcrtpsender-interface

## GstWebRTCRTPSender

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCRTPSender

An object to track the sending aspect of the stream

Mostly matches the WebRTC RTCRtpSender interface.

### Class structure

#### GstWebRTCRTPSenderClass

### GstWebRTC.WebRTCRTPSenderClass

## GstWebRTC.WebRTCRTPSender

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCRTPSender

An object to track the sending aspect of the stream

Mostly matches the WebRTC RTCRtpSender interface.

## GstWebRTC.WebRTCRTPSender

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCRTPSender

An object to track the sending aspect of the stream

Mostly matches the WebRTC RTCRtpSender interface.

### Methods

#### gst_webrtc_rtp_sender_set_priority

    gst_webrtc_rtp_sender_set_priority (GstWebRTCRTPSender * sender,
                                        GstWebRTCPriorityType priority)

Sets the content of the IPv4 Type of Service (ToS), also known as DSCP (Differentiated Services Code Point). This also sets the Traffic Class field of IPv6.

Parameters:

`sender` –

a GstWebRTCRTPSender

`priority` –

The priority of this sender

Since : 1.20

#### GstWebRTC.WebRTCRTPSender.prototype.set_priority

    function GstWebRTC.WebRTCRTPSender.prototype.set_priority(priority: GstWebRTC.WebRTCPriorityType): {
        // javascript wrapper for 'gst_webrtc_rtp_sender_set_priority'
    }

Sets the content of the IPv4 Type of Service (ToS), also known as DSCP (Differentiated Services Code Point). This also sets the Traffic Class field of IPv6.

Parameters:

`sender` (GstWebRTC.WebRTCRTPSender) –

a GstWebRTC.WebRTCRTPSender

`priority` (GstWebRTC.WebRTCPriorityType) –

The priority of this sender

Since : 1.20

#### GstWebRTC.WebRTCRTPSender.set_priority

    def GstWebRTC.WebRTCRTPSender.set_priority (self, priority):
        #python wrapper for 'gst_webrtc_rtp_sender_set_priority'

Sets the content of the IPv4 Type of Service (ToS), also known as DSCP (Differentiated Services Code Point). This also sets the Traffic Class field of IPv6.

Parameters:

`sender` (GstWebRTC.WebRTCRTPSender) –

a GstWebRTC.WebRTCRTPSender

`priority` (GstWebRTC.WebRTCPriorityType) –

The priority of this sender

Since : 1.20

### Properties

#### priority

    “priority” GstWebRTCPriorityType *

The priority from which to set the DSCP field on packets

Flags : Read / Write

Since : 1.20

#### priority

    “priority” GstWebRTC.WebRTCPriorityType

The priority from which to set the DSCP field on packets

Flags : Read / Write

Since : 1.20

#### priority

    “self.props.priority” GstWebRTC.WebRTCPriorityType

The priority from which to set the DSCP field on packets

Flags : Read / Write

Since : 1.20

#### transport

    “transport” GstWebRTCDTLSTransport *

The DTLS transport for this sender

Flags : Read

Since : 1.20

#### transport

    “transport” GstWebRTC.WebRTCDTLSTransport

The DTLS transport for this sender

Flags : Read

Since : 1.20

#### transport

    “self.props.transport” GstWebRTC.WebRTCDTLSTransport

The DTLS transport for this sender

Flags : Read

Since : 1.20

The results of the search are